org.optaplanner.core.impl.score.stream.drools.common

## Class DroolsAbstractUniCollectingGroupByAccumulator<ResultContainer,InTuple,KeyTuple,OutTuple>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.drools.common.DroolsAbstractUniCollectingGroupByAccumulator<ResultContainer,InTuple,KeyTuple,OutTuple>

- All Implemented Interfaces:
    Serializable, GroupByAccumulator<InTuple,OutTuple>

      public abstract class DroolsAbstractUniCollectingGroupByAccumulator<ResultContainer,InTuple,KeyTuple,OutTuple>
      extends Object
      implements GroupByAccumulator<InTuple,OutTuple>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DroolsAbstractUniCollectingGroupByAccumulator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Runnable` | `accumulate(InTuple input)`
    `Set<OutTuple>` | `finish()`
    `protected abstract ResultContainer` | `newContainer()`
    `protected abstract Runnable` | `process(InTuple tuple, ResultContainer container)`
    `protected abstract KeyTuple` | `toKey(InTuple tuple)`
    `protected abstract OutTuple` | `toResult(KeyTuple key, ResultContainer container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DroolsAbstractUniCollectingGroupByAccumulator

          public DroolsAbstractUniCollectingGroupByAccumulator()

  - ### Method Detail

    - #### accumulate

          public Runnable accumulate(InTuple input)

      Specified by:
        `accumulate` in interface `GroupByAccumulator<InTuple,OutTuple>`

    - #### finish

          public Set<OutTuple> finish()

      Specified by:
        `finish` in interface `GroupByAccumulator<InTuple,OutTuple>`

    - #### toKey

          protected abstract KeyTuple toKey(InTuple tuple)

    - #### newContainer

          protected abstract ResultContainer newContainer()

    - #### process

          protected abstract Runnable process(InTuple tuple,
                                              ResultContainer container)

    - #### toResult

          protected abstract OutTuple toResult(KeyTuple key,
                                               ResultContainer container)

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.